diff -Naur gtkhtml-3.1.17-old/components/html-editor/Makefile.in gtkhtml-3.1.17/components/html-editor/Makefile.in
--- gtkhtml-3.1.17-old/components/html-editor/Makefile.in	2004-06-25 15:10:36.000000000 -0400
+++ gtkhtml-3.1.17/components/html-editor/Makefile.in	2004-07-06 16:03:39.000000000 -0400
@@ -192,14 +192,14 @@
 
 IDL_GENERATED = $(IDL_GENERATED_C) $(IDL_GENERATED_H)
 
-SPELL_IDLS = Spell.idl
+SPELL_IDLS = SpellI.idl
 SPELL_IDL_GENERATED_H = \
-	Spell.h
+	SpellI.h
 
 SPELL_IDL_GENERATED_C = \
-	Spell-common.c		\
-	Spell-skels.c		\
-	Spell-stubs.c
+	SpellI-common.c		\
+	SpellI-skels.c		\
+	SpellI-stubs.c
 
 SPELL_IDL_GENERATED = $(SPELL_IDL_GENERATED_C) $(SPELL_IDL_GENERATED_H)
 
@@ -371,7 +371,7 @@
 	$(am_libgnome_gtkhtml_editor_3_1_la_OBJECTS)
 libgnome_gtkhtml_editor_la_LDFLAGS =
 libgnome_gtkhtml_editor_la_LIBADD =
-am__objects_1 = Spell-common.lo Spell-skels.lo Spell-stubs.lo
+am__objects_1 = SpellI-common.lo SpellI-skels.lo SpellI-stubs.lo
 am__objects_2 =
 am__objects_3 = $(am__objects_1) $(am__objects_2)
 am__objects_4 = Editor-common.lo Editor-skels.lo Editor-stubs.lo
@@ -414,9 +414,9 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/Editor-common.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/Editor-skels.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/Editor-stubs.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/Spell-common.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/Spell-skels.Plo \
-@AMDEP_TRUE@	./$(DEPDIR)/Spell-stubs.Plo ./$(DEPDIR)/body.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/SpellI-common.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/SpellI-skels.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/SpellI-stubs.Plo ./$(DEPDIR)/body.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/cell.Plo ./$(DEPDIR)/control-data.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/dialog.Plo ./$(DEPDIR)/e-html-utils.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/editor-control-factory.Plo \
@@ -559,9 +559,9 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Editor-common.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Editor-skels.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Editor-stubs.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Spell-common.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Spell-skels.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Spell-stubs.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SpellI-common.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SpellI-skels.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SpellI-stubs.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/body.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cell.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/control-data.Plo@am__quote@
@@ -864,7 +864,7 @@
 $(IDL_GENERATED_C): $(IDL_GENERATED_H)
 
 $(SPELL_IDL_GENERATED_H): $(SPELL_IDLS)
-	$(ORBIT_IDL) $(BONOBO_IDL_INCLUDES) $(srcdir)/Spell.idl
+	$(ORBIT_IDL) $(BONOBO_IDL_INCLUDES) $(srcdir)/SpellI.idl
 $(SPELL_IDL_GENERATED_C): $(SPELL_IDL_GENERATED_H)
 %-$(EDITOR_API_VERSION).server: %.server
 	mv $< $@
diff -Naur gtkhtml-3.1.17-old/components/html-editor/control-data.h gtkhtml-3.1.17/components/html-editor/control-data.h
--- gtkhtml-3.1.17-old/components/html-editor/control-data.h	2004-06-01 09:34:26.000000000 -0400
+++ gtkhtml-3.1.17/components/html-editor/control-data.h	2004-07-06 16:02:25.000000000 -0400
@@ -39,7 +39,7 @@
 #include "link.h"
 #include "rule.h"
 #include "engine.h"
-#include "Spell.h"
+#include "SpellI.h"
 
 struct _GtkHTMLControlData {
 	GtkHTML    *html;
diff -Naur gtkhtml-3.1.17-old/components/html-editor/spell.h gtkhtml-3.1.17/components/html-editor/spell.h
--- gtkhtml-3.1.17-old/components/html-editor/spell.h	2003-03-25 14:30:38.000000000 -0500
+++ gtkhtml-3.1.17/components/html-editor/spell.h	2004-07-06 16:02:25.000000000 -0400
@@ -24,7 +24,7 @@
 #define _GTK_HTML_EDIT_SPELL_H_
 
 #include <gtkhtml.h>
-#include "Spell.h"
+#include "SpellI.h"
 #include "control-data.h"
 
 GNOME_Spell_Dictionary  spell_new_dictionary        (void);
diff -Naur gtkhtml-3.1.17-old/po/Makefile.in.in gtkhtml-3.1.17/po/Makefile.in.in
--- gtkhtml-3.1.17-old/po/Makefile.in.in	2004-06-25 15:10:36.000000000 -0400
+++ gtkhtml-3.1.17/po/Makefile.in.in	2004-07-06 16:02:25.000000000 -0400
@@ -28,7 +28,7 @@
 exec_prefix = @exec_prefix@
 datadir = @datadir@
 libdir = @libdir@
-localedir = $(libdir)/locale
+localedir = $(datadir)/locale
 gnulocaledir = $(datadir)/locale
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
diff -ur gtkhtml-3.2.1/src/Makefile.in gtkhtml-3.2.1_patched/src/Makefile.in
--- gtkhtml-3.2.1/src/Makefile.in	2004-09-10 16:01:01.000000000 +0200
+++ gtkhtml-3.2.1_patched/src/Makefile.in	2006-01-07 12:04:14.000000000 +0100
@@ -167,8 +167,7 @@
 AM_CFLAGS = \
 	-DICONDIR=\"$(datadir)/gtkhtml-@GTKHTML_API_VERSION@/icons\"	\
 	-DGDK_DISABLE_DEPRECATED=1					\
-	-DG_DISABLE_DEPRECATED=1					\
-	-DGNOME_DISABLE_DEPRECATED=1
+	-DG_DISABLE_DEPRECATED=1					
 
 
 #	-DGTK_DISABLE_DEPRECATED=1
